Package org.springframework.security.web.authentication.ott

# Class OneTimeTokenAuthenticationConverter

java.lang.Object
org.springframework.security.web.authentication.ott.OneTimeTokenAuthenticationConverter

All Implemented Interfaces:
  `AuthenticationConverter`

public class OneTimeTokenAuthenticationConverter extends Object implements AuthenticationConverter
An implementation of `AuthenticationConverter` that detects if the request contains a `token` parameter and constructs a `OneTimeTokenAuthenticationToken` with it.

Since:
  6.4
See Also:
  - `GenerateOneTimeTokenFilter`

## Constructor Summary

Constructors
Constructor
Description
`OneTimeTokenAuthenticationConverter()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`convert(jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OneTimeTokenAuthenticationConverter

public OneTimeTokenAuthenticationConverter()

## Method Details

### convert

public org.springframework.security.core.Authentication convert(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `convert` in interface `AuthenticationConverter`